XCOM's compatibility with database MariaDB on Linux 7.3

Document ID : KB000012635
Last Modified Date : 14/02/2018
Show Technical Document Details
Introduction:

Has database MariaDB been certified for use with XCOM r11.6 for Linux?

Question:

Is database MariaDB certified/compatible with XCOM r11.6 for Linux?

Environment:
XCOM r11.6RedHat 7.3
Answer:

It is our understanding that MariaDB is highly compatible with MySQL in most of the aspects and applications that support MySQL will work seamlessly with MariaDB. MariaDB is an open source database provider and it’s not the new name for MySQL. MySQL is still one of the leading DB vendor in market and owned by Oracle. 

We did not run any tests in our environment to certify XCOM r11.6 with MariaDB on Linux, but we believe that XCOM r11.6 will work fine with MariaDB.

Additional Information:

MariaDB claims its compatibility with corresponding MySQL versions. Here is a link: https://mariadb.com/kb/en/mariadb/mariadb-vs-mysql-compatibility/